# Politician's trades `GET` `https://api.unusualwhales.com/api/politics/politician/trades` Trades reported by members of congress, with the politician linked where known. If a date is given, will only return trades whose transaction date is <= the given input date. This is an enterprise only endpoint. Contact dev@unusualwhales.com for details about accessing this data. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `limit` | Default 500 Max 500 Min 1 | No | How many items to return. Default: 500. Max: 500. Min: 1. | | `date` | Optional Market Date | No | A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date. | | `ticker` | Optional Ticker | No | Optional ticker symbol to filter results | | `politician_id` | Politician ID | No | The Politician's ID that you'd like to filter by. | | `filter_late_reports` | Filter Late Reports Only | No | If true, will filter out any trades with a transaction date after the input date. | | `page` | Page | No | The page number for the data being requested (default is 1). | | `disclosure_newer_than` | NewerThan | No | If provided, will only return trades with a disclosure date >= this date. | | `disclosure_older_than` | OlderThan | No | If provided, will only return trades with a disclosure date <= this date. | | `transaction_newer_than` | NewerThan | No | If provided, will only return trades with a transaction date >= this date. | | `transaction_older_than` | OlderThan | No | If provided, will only return trades with a transaction date <= this date. | | `order_by` | Congress trade order by field | No | The field to order the congress trades by. Defaults to filed_at_date. | | `order_direction` | OrderDirection | No | Whether to sort descending or ascending. Descending by default. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/politics/politician/trades" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/politics/politician/trades", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "asset": "NVIDIA Corporation - Common Stock", "asset_type": "stock", "filed_at_date": "2026-07-15", "high_value": "5000000", "id": "b3f1c2d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d", "is_amendment": false, "is_etf": false, "low_value": "1000001", "mid_value": "3000000", "name": "Nancy Pelosi", "politician_id": "18f9fc95-4661-444e-99f5-99d3778e0c31", "ticker": "NVDA", "transaction_date": "2026-06-20", "transaction_type": "Buy" } ] } ```